Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito.internal.matchers
Class EqualsWithDelta

    java.lang.Object
      org.hamcrest.BaseMatcher<T>
          org.mockito.ArgumentMatcher<java.lang.Number>
              org.mockito.internal.matchers.EqualsWithDelta

All Implemented Interfaces:
  java.io.Serializable, org.hamcrest.Matcher<java.lang.Number>, org.hamcrest.SelfDescribing

    public class EqualsWithDelta

extends ArgumentMatcher<java.lang.Number>
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`EqualsWithDelta(java.lang.Number value, java.lang.Number delta)`

Method Summary
`void` | `describeTo(org.hamcrest.Description description)`
`boolean` | `matches(java.lang.Object actual)` Returns whether this matcher accepts the given argument.

Methods inherited from class org.hamcrest.BaseMatcher
`_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EqualsWithDelta

    public EqualsWithDelta(java.lang.Number value,
                           java.lang.Number delta)

Method Detail

### matches

    public boolean matches(java.lang.Object actual)

  Description copied from class: `ArgumentMatcher`
  Returns whether this matcher accepts the given argument.

  The method should never assert if the argument doesn't match. It should only return false.

  Specified by:
    `matches` in interface `org.hamcrest.Matcher<java.lang.Number>`
  Specified by:
    `matches` in class `ArgumentMatcher<java.lang.Number>`
  Parameters:
    `actual` - the argument
  Returns:
    whether this matcher accepts the given argument.

### describeTo

    public void describeTo(org.hamcrest.Description description)

  Specified by:
    `describeTo` in interface `org.hamcrest.SelfDescribing`
  Overrides:
    `describeTo` in class `ArgumentMatcher<java.lang.Number>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD